Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| WebLogic Integration
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bea.wlpi.common.plugin
Class PluginException

    java.lang.Object
      |
      +--java.lang.Throwable
            |
            +--java.lang.Exception
                  |
                  +--com.bea.wlpi.common.WorkflowException
                        |
                        +--com.bea.wlpi.common.plugin.PluginException

public class PluginException
extends WorkflowException

Exception class thrown by plugins and the Plugin Manager.

Since:
  WebLogic Process Integrator 2.0
Author:
  Copyright © 2000, 2001 BEA Systems, Inc. All Rights Reserved.
See Also:
  Serialized Form

Fields inherited from class com.bea.wlpi.common.WorkflowException
`ERROR_CUSTOM, ERROR_SYSTEM, ERROR_UNKNOWN, ERROR_WORKFLOW, WARNING_WORKFLOW`

Constructor Summary
`PluginException(java.lang.Exception e)` Create a new PluginException to wrap another exception.
`PluginException(int msgNum, java.lang.Object[] args)` Create a new PluginException.
`PluginException(java.lang.String pluginName, java.lang.String message)` Create a new PluginException.

Methods inherited from class com.bea.wlpi.common.WorkflowException
`getLocalizedMessage, getLocalizedMessage, getLocalizedSeverityDescription, getMessage, getMessageNumber, getNestedException, getOrigin, getOriginalException, getOriginalException, getSeverity, getSeverityDescription, isDeadlock, isDeadlock, printStackTrace, printStackTrace, printStackTrace`

Methods inherited from class java.lang.Throwable
`fillInStackTrace, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### PluginException

    public PluginException(java.lang.String pluginName,
                           java.lang.String message)

  Create a new PluginException.

  Parameters:
    `pluginName` - The reverse-DNS name of the plugin throwing the exception.
    `message` - The message text, localized to the locale of the thrower.

### PluginException

    public PluginException(int msgNum,
                           java.lang.Object[] args)

  Create a new PluginException.

  Parameters:
    `msgNum` - The message number as defined in `Messages`.
    `args` - Optional parameter values for use in messages that contain parameter markers.

### PluginException

    public PluginException(java.lang.Exception e)

  Create a new PluginException to wrap another exception.

  Parameters:
    `e` - The exception to wrap.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| WebLogic Integration
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

WebLogic Integration (WLI)